local lib = "$(projectdir)/Hi3516CV500_SDK/smp/a7_linux/mpp/lib/"

target("hi_library")
    set_kind("static")
    add_includedirs(
      "Hi3516CV500_SDK/smp/a7_linux/mpp/include",
      "Hi3516CV500_SDK/smp/a7_linux/mpp/include/adapt",
      {public = true}
    )
    add_linkdirs("Hi3516CV500_SDK/smp/a7_linux/mpp/lib")

    -- isp static library
    add_links(
        lib.."libisp.a",
        lib.."lib_hicalcflicker.a",
        {public = true}
    )

    -- mpi static library
    add_links(
        lib.."libmpi.a",
        lib.."libhdmi.a",
        {public = true}
    )

    -- audio static library
    add_links(
        lib.."libVoiceEngine.a",
        lib.."libupvqe.a",
        lib.."libdnvqe.a",
        {public = true}
    )

    -- sensor static library
    add_links(
        lib.."lib_hiae.a",
        lib.."lib_hidehaze.a",
        lib.."lib_hidrc.a",
        lib.."lib_hildci.a",
        lib.."lib_hiawb.a",
        lib.."libsns_imx327.a",
        lib.."libsns_imx327_2l.a",
        lib.."libsns_imx307.a",
        lib.."libsns_imx307_2l.a",
        lib.."libsns_imx458.a",
        lib.."libsns_mn34220.a",
        lib.."libsns_os05a.a",
        lib.."libsns_os08a10.a",
        lib.."libsns_gc2053.a",
        lib.."libsns_sc4210.a",
        lib.."libsns_ov12870.a",
        lib.."libsns_os04b10.a",
        lib.."libsns_imx415.a",
        lib.."libsns_imx274.a",
        lib.."libsns_imx219.a",
        {public = true}
    )

    -- single files
    add_links(
        lib.."libsecurec.a",
        lib.."libsns_imx335.a",
        "pthread",
        "dl",
        {public = true}
    )

    -- scipt
    -- on_load(function (target)
    --     print(target:get("links"))
    -- end)

target("sample_audio")
    set_kind("static")
    add_files("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/audio/adp/*.c")
    add_includedirs("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/audio/adp", {public = true})
    add_deps("hi_library")

target("sample_common")
    set_kind("static")
    add_files("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/common/*.c")
    add_includedirs("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/common", {public = true})
    add_defines(
        "SENSOR0_TYPE=GALAXYCORE_GC2053_MIPI_2M_30FPS_10BIT",
        "SENSOR1_TYPE=GALAXYCORE_GC2053_MIPI_2M_30FPS_10BIT",
        {public = true}
    )
    add_deps("sample_audio")    

target("sample_svp")
    set_kind("static")
    add_files("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/svp/common/*.c")
    add_includedirs("Hi3516CV500_SDK/smp/a7_linux/mpp/sample/svp/common", {public = true})
    add_deps("sample_common")
    add_links(
        lib.."libive.a",
        lib.."libmd.a",
        lib.."libnnie.a",
        {public=true}
    )