package("live555")
-- set_homepage("http://www.live555.com")
--
-- set_urls("http://www.live555.com/liveMedia/public/live.$(version).tar.gz")
-- add_versions("2024.11.28", "a9af16f46d2f4c7ccdbfc4b617480503d27cccb46fa5abb7dfd8a25951b44cc3")

set_sourcedir(path.join(os.projectdir(), "Rouring/thirdparty/live555"))

local make_scipt = [[
COMPILE_OPTS =		$(INCLUDES) -I. -O2 -DSOCKLEN_T=socklen_t -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DNO_OPENSSL=1
C =			c
C_COMPILER =		cc
C_FLAGS =		$(COMPILE_OPTS) $(CPPFLAGS) $(CFLAGS)
CPP =			cpp
CPLUSPLUS_COMPILER =	c++
CPLUSPLUS_FLAGS =	$(COMPILE_OPTS) -Wall -DBSD=1 $(CPPFLAGS) $(CXXFLAGS)
OBJ =			o
LINK =			c++ -o
LINK_OPTS =		-L. $(LDFLAGS)
CONSOLE_LINK_OPTS =	$(LINK_OPTS)
LIBRARY_LINK =		ar cr
LIBRARY_LINK_OPTS =	
LIB_SUFFIX =			a
LIBS_FOR_CONSOLE_APPLICATION =
LIBS_FOR_GUI_APPLICATION =
EXE =
]]

on_install(function(package)
  -- Create plat make script
  local script = io.open("config.cross", "w")
  if script then
    script:write(make_scipt)
    script:print("PREFIX =    %s", package:installdir())
    script:close()
  end
  -- Don't forget to append space at the end of line "LIBRARY_LINK"
  os.vrun("sed -i 's/ar cr/ar cr /g' config.cross")

  -- Generate makefile
  os.vrun("chmod +rw genMakefiles")
  os.vrun("chmod ugo+rwx config.cross")
  os.vrun("sed -i 's/\\/bin\\/rm/rm/g' genMakefiles")
  os.vrun("./genMakefiles cross")

  -- Install
  os.vrun("make clean")
  import("package.tools.make").install(package)
end)
